Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class ActionHandler

    java.lang.Object
      org.jboss.portal.wsrp.consumer.InvocationHandler
          org.jboss.portal.wsrp.consumer.ActionHandler

    public class ActionHandler

extends InvocationHandler

Since:
  2.4 (May 31, 2006)
Version:
  $Revision: 11068 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.portal.wsrp.consumer.InvocationHandler
`consumer, log`

Constructor Summary
`ActionHandler(WSRPConsumerImpl consumer)`

Method Summary
`protected RuntimeContext` | `getRuntimeContextFrom(java.lang.Object request)`
`protected java.lang.Object` | `performRequest(java.lang.Object request)`
`protected java.lang.Object` | `prepareRequest(org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor, org.jboss.portal.portlet.invocation.PortletInvocation invocation)`
`protected org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `processResponse(java.lang.Object response, org.jboss.portal.portlet.invocation.PortletInvocation invocation, org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor)`
`protected void` | `updateRegistrationContext(java.lang.Object request)`
`protected void` | `updateUserContext(java.lang.Object request, UserContext userContext)`

Methods inherited from class org.jboss.portal.wsrp.consumer.InvocationHandler
`getNamespaceFrom, performRequest, unwrapWSRPError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionHandler

    public ActionHandler(WSRPConsumerImpl consumer)

Method Detail

### prepareRequest

    protected java.lang.Object prepareRequest(org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor,
                                              org.jboss.portal.portlet.invocation.PortletInvocation invocation)

  Specified by:
    `prepareRequest` in class `InvocationHandler`

### processResponse

    protected org.jboss.portal.portlet.invocation.response.PortletInvocationResponse processResponse(java.lang.Object response,
                                                                                                     org.jboss.portal.portlet.invocation.PortletInvocation invocation,
                                                                                                     org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor)
                                                                                              throws org.jboss.portal.portlet.PortletInvokerException

  Specified by:
    `processResponse` in class `InvocationHandler`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### updateUserContext

    protected void updateUserContext(java.lang.Object request,
                                     UserContext userContext)

  Specified by:
    `updateUserContext` in class `InvocationHandler`

### updateRegistrationContext

    protected void updateRegistrationContext(java.lang.Object request)
                                      throws org.jboss.portal.portlet.PortletInvokerException

  Specified by:
    `updateRegistrationContext` in class `InvocationHandler`
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getRuntimeContextFrom

    protected RuntimeContext getRuntimeContextFrom(java.lang.Object request)

  Specified by:
    `getRuntimeContextFrom` in class `InvocationHandler`

### performRequest

    protected java.lang.Object performRequest(java.lang.Object request)
                                       throws java.lang.Exception

  Specified by:
    `performRequest` in class `InvocationHandler`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD